Subject: Re: [bug#73937] [PATCH]: Update Nyxt to 3.12.0

From: Guillaume Le Vaillant <[email-masked]>
Date: Wed, 23 Oct 2024 12:02:59 +0000

André A. Gomes <[email-masked]> skribis:

> Hello Guix,
>
> Attached, thanks.
>
> Please note that I am one of the Nyxt developers.  The changes reflect
> that fact that the Lisp dependencies are pinned as git submodules.  The
> tests are temporarily disabled since they fail due to undocumented
> exported symbols (which is unreasonable).  I only noticed it after the
> release, but I'll fix it for the next release.

Hi.
We usually try to avoid taking libraries from git submodules unless the
software can't be made to compile with system libraries.
Can't Nyxt 3.12.0 work with the libraries packaged in Guix?